<!DOCTYPE html>
<html>
<head lang="en">
    <include file="appapi@head"/>
	<link type="text/css" rel="stylesheet" href="__STATIC__/appapi/css/family.css"/>
	<style type="text/css">
		body{
			background: #FFF;
		}

	</style>
    <title>{:lang("FAMILY_HOMEPAGE")}</title>
</head>
<body class="detail">
	<div class="detai_top">
		<div class="user-list user-list-fillet">
			<ul>
				<li>
					<div class="thumb">
						<img src="{:get_upload_path($familyinfo['badge'])}">
					</div>
					<div class="info">
						<p class="info-title">{$familyinfo['name']}</p>
						<p class="info-des2">ID: {$familyinfo['id']}</p>
						<p class="info-des">{:lang("FAMILY_HEAD")}: {$familyinfo['userinfo']['user_nickname']}</p>
						
					</div>
					<div class="action">
					</div>
				</li>

			</ul>
		</div>
	</div>
	<div class="des">
		<div class="des_title">{:lang('FAMILY_PROFILE')}</div>
		<div class="des_body">{$familyinfo['briefing']}</div>
	</div>
	<div class="home_info">
		<ul>
			<li>
				<span class="home_info_t">{:lang('FAMILY_PROPORTION')}: </span>
				<span class="home_info_b">{$familyinfo['divide_family']}%</span>
			</li>
			
			<li><a href="/portal/page/index?id=18&language={$language}">
				<span class="home_info_t">{:lang("SIGNING_INSTRUCTIONS")}</span>
				<span class="edit_des"></span></a>
			</li>
		</ul>
	</div>
	<div class="anchor">
		<div class="anchor_t">
			{:lang("SIGNED_ANCHOR")} <span>({$familyinfo['count']})</span>
		</div>
		<div class="user-list">
			<ul>
			    <volist name="list" id="v">
				<li>
					<div class="thumb">
						<img src="{$v['userinfo']['avatar']}">
					</div>
					<div class="info">
						<p class="info-title">
                            {$v['userinfo']['user_nickname']}
                            <img src="__STATIC__/appapi/images/<if condition="$v['userinfo']['sex'] eq 1">man<else/>woman</if>.png" class="sex"> 
                            <img src="{$levellist[$v['userinfo']['level']]['thumb']}" class="level">
                        </p>
						<p class="info-des2">{:lang("NUMBER_OF_FANS")}: {$v['userinfo']['fansnum']}</p>
					</div>
					<div class="action">
					</div>
				</li>
				</volist>
			</ul>
		</div>
	</div>
	<if condition="$familyinfo['isstatus'] neq '0' && $familyinfo['isstatus'] neq '2' ">
	
	<div class="button_default1 bottombtn sign">
		{:lang("AGREE_AND_SIGN")}
	</div>
	
	</if>
	<script>
		var familyid='{$familyinfo['id']}';
	</script>
	<include file="appapi@footer"/>
	<script src="__STATIC__/appapi/js/family.js"></script>
	<script>
	$(function(){
		function getlistmore(){
			$.ajax({
				url:'/appapi/Family/detail_more',
				data:{'page':page,'uid':uid},
				type:'post',
				dataType:'json',
				success:function(data){
					if(data.nums>0){
							var nums=data.nums;
							var list=data.data;
							var html='';
							for(var i=0;i<nums;i++){
								html='<li>\
										<div class="thumb">\
											<img src="'+list[i]['userinfo']['avatar']+'">\
										</div>\
										<div class="info">\
											<p class="info-title">'+list[i]['userinfo']['user_nickname']+'</p>\
											<p class="info-des"><span>'+LangT('NUMBER_OF_FANS')+': '+list[i]['userinfo']['fansnum']+'</span></p>\
										</div>\
										<div class="action">\
										</div>\
									</li>';
							}
						
						$(".anchor .user-list ul").append(html);
					}
					
					if(data.isscroll==1){
						page++;
						isscroll=true;
					}
				}
			})
		}
		var page=2; 
		var isscroll=true; 

		$(window).scroll(function(){  
				var srollPos = $(window).scrollTop();    //滚动条距顶部距离(页面超出窗口的高度)  		
				var totalheight = parseFloat($(window).height()) + parseFloat(srollPos);  
				if(($(document).height()-50) <= totalheight  && isscroll) {  
						isscroll=false;
						getlistmore()
				}  
		});  

	})
	</script>
	
</body>
</html>